using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Controls;

[ComImport]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(2)]
[TypeLibType(4096)]
[Guid("F881B44D-67FA-4770-B10A-05DA14409E8F")]
public interface ISliderEvents
{
	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Destroy(int nID);

	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(6)]
	void Change(int nID, int lValue);
}
